This repository has been archived by the owner. It is now read-only.

`pip install --upgrade pip` breaks pip #26900

Closed
iglpdc opened this Issue Feb 21, 2014 · 58 comments

Comments

Projects
None yet
@iglpdc

iglpdc commented Feb 21, 2014

Following the instructions to brew python, I've upgraded pip and setuptools. After that, pip is broken because the pip binaries require the old version. The details:

$ brew install python
$ pip --version
pip 1.5.2 from /usr/local/Cellar/python/2.7.6/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.2-py2.7.egg (python 2.7)
$ pip install --upgrade setuptools
$ pip install --upgrade pip

which installs pip's next version (1.5.4) and removes the previous one (1.5.2):

$ ls /usr/local/lib/python2.7/site-packages
_markerlib
easy-install.pth
easy_install.py
easy_install.pyc
fontforge-1.0-py2.7.egg-info
fontforge.so
pip
pip-1.5.4.dist-info
pkg_resources.py
pkg_resources.pyc
psMat.so
setuptools
setuptools-2.2.dist-info
setuptools.pth
sitecustomize.py
sitecustomize.pyc

But now pip is broken:

$ pip --version
Traceback (most recent call last):
  File "/usr/local/bin/pip", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/Cellar/python/2.7.6/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pkg_resources.py", line 2720, in <module>
    parse_requirements(__requires__), Environment()
  File "/usr/local/Cellar/python/2.7.6/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pkg_resources.py", line 588, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: pip==1.5.2

This is because the old version (1.5.2) is still in the pip binary:

$ cat /usr/local/bin/pip
#!/usr/local/Cellar/python/2.7.6/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python
# EASY-INSTALL-ENTRY-SCRIPT: 'pip==1.5.2','console_scripts','pip'
__requires__ = 'pip==1.5.2'
import sys
from pkg_resources import load_entry_point

if __name__ == '__main__':
    sys.exit(
        load_entry_point('pip==1.5.2', 'console_scripts', 'pip')()
    )

@adamv adamv closed this in ddad99c Feb 22, 2014

@adamv adamv added the python label Feb 22, 2014

spkane added a commit to spkane/homebrew that referenced this issue Mar 3, 2014

Python: pip 1.5.4, setuptools 2.2
Fixes #26900.
Closes #26915.

Signed-off-by: Adam Vandenberg <flangy@gmail.com>
@lmrodriguezr

This comment has been minimized.

Show comment
Hide comment
@lmrodriguezr

lmrodriguezr Mar 14, 2014

This bug doesn't seem to be solved. I'm still getting the same error.

First, I check that everything is up-to-date and working properly:

lmr3@rofos: ~  brew doctor
Your system is ready to brew.
lmr3@rofos: ~  brew update
Already up-to-date.
lmr3@rofos: ~  brew upgrade

Next, I uninstall/install Python, to avoid any potential problems with upgrade:

lmr3@rofos: ~  brew uninstall python ; brew install python
Uninstalling /usr/local/Cellar/python/2.7.6...
==> Downloading https://downloads.sf.net/project/machomebrew/Bottles/python-2.7.6.mavericks.bottle.tar.gz
Already downloaded: /Library/Caches/Homebrew/python-2.7.6.mavericks.bottle.tar.gz
==> Pouring python-2.7.6.mavericks.bottle.tar.gz
==> Caveats
Python demo
  /usr/local/share/python/Extras

Setuptools and Pip have been installed. To update them
  pip install --upgrade setuptools
  pip install --upgrade pip

You can install Python packages with (the outdated easy_install or)
  `pip install <your_favorite_package>`

They will install into the site-package directory
  /usr/local/lib/python2.7/site-packages

See: https://github.com/Homebrew/homebrew/wiki/Homebrew-and-Python

.app bundles were installed.
Run `brew linkapps` to symlink these to /Applications.
==> Summary
🍺  /usr/local/Cellar/python/2.7.6: 3790 files, 59M

And when I test pip:

lmr3@rofos: ~ pip
Traceback (most recent call last):
  File "/usr/local/bin/pip", line 5, in <module>
    from pkg_resources import load_entry_point
  File "build/bdist.macosx-10.9-x86_64/egg/pkg_resources.py", line 2797, in <module>
  File "build/bdist.macosx-10.9-x86_64/egg/pkg_resources.py", line 576, in resolve
pkg_resources.DistributionNotFound: pip==1.5.4

I also tried installing pypy, and I get the same error. Note that pip 1.5.4 is not installed:

lmr3@rofos: ~ ls -d /usr/local/lib/python2.7/site-packages/pip*
/usr/local/lib/python2.7/site-packages/pip-1.4-py2.7.egg   /usr/local/lib/python2.7/site-packages/pip-1.4.1-py2.7.egg

lmrodriguezr commented Mar 14, 2014

This bug doesn't seem to be solved. I'm still getting the same error.

First, I check that everything is up-to-date and working properly:

lmr3@rofos: ~  brew doctor
Your system is ready to brew.
lmr3@rofos: ~  brew update
Already up-to-date.
lmr3@rofos: ~  brew upgrade

Next, I uninstall/install Python, to avoid any potential problems with upgrade:

lmr3@rofos: ~  brew uninstall python ; brew install python
Uninstalling /usr/local/Cellar/python/2.7.6...
==> Downloading https://downloads.sf.net/project/machomebrew/Bottles/python-2.7.6.mavericks.bottle.tar.gz
Already downloaded: /Library/Caches/Homebrew/python-2.7.6.mavericks.bottle.tar.gz
==> Pouring python-2.7.6.mavericks.bottle.tar.gz
==> Caveats
Python demo
  /usr/local/share/python/Extras

Setuptools and Pip have been installed. To update them
  pip install --upgrade setuptools
  pip install --upgrade pip

You can install Python packages with (the outdated easy_install or)
  `pip install <your_favorite_package>`

They will install into the site-package directory
  /usr/local/lib/python2.7/site-packages

See: https://github.com/Homebrew/homebrew/wiki/Homebrew-and-Python

.app bundles were installed.
Run `brew linkapps` to symlink these to /Applications.
==> Summary
🍺  /usr/local/Cellar/python/2.7.6: 3790 files, 59M

And when I test pip:

lmr3@rofos: ~ pip
Traceback (most recent call last):
  File "/usr/local/bin/pip", line 5, in <module>
    from pkg_resources import load_entry_point
  File "build/bdist.macosx-10.9-x86_64/egg/pkg_resources.py", line 2797, in <module>
  File "build/bdist.macosx-10.9-x86_64/egg/pkg_resources.py", line 576, in resolve
pkg_resources.DistributionNotFound: pip==1.5.4

I also tried installing pypy, and I get the same error. Note that pip 1.5.4 is not installed:

lmr3@rofos: ~ ls -d /usr/local/lib/python2.7/site-packages/pip*
/usr/local/lib/python2.7/site-packages/pip-1.4-py2.7.egg   /usr/local/lib/python2.7/site-packages/pip-1.4.1-py2.7.egg
@seedofjoy

This comment has been minimized.

Show comment
Hide comment
@seedofjoy

seedofjoy Mar 15, 2014

Contributor

@lmrodriguezr I didn't understand why Python source downloading from https://downloads.sf.net/project/machomebrew/Bottles/python-2.7.6.mavericks.bottle.tar.gz - it should downloads from http://www.python.org/ftp/python/2.7.6/Python-2.7.6.tgz
Did you revert Homebrew repo?

Contributor

seedofjoy commented Mar 15, 2014

@lmrodriguezr I didn't understand why Python source downloading from https://downloads.sf.net/project/machomebrew/Bottles/python-2.7.6.mavericks.bottle.tar.gz - it should downloads from http://www.python.org/ftp/python/2.7.6/Python-2.7.6.tgz
Did you revert Homebrew repo?

@lmrodriguezr

This comment has been minimized.

Show comment
Hide comment
@lmrodriguezr

lmrodriguezr Mar 15, 2014

You're right, I don't understand either. When I open the formula with brew edit python, the URL is http://www.python.org/ftp/python/2.7.6/Python-2.7.6.tgz. I tried uninstalling, cleaning the cache, and installing again, and it still downloads from https://downloads.sf.net/project/machomebrew/Bottles/python-2.7.6.mavericks.bottle.tar.gz. Any idea?

I haven't changed any formulae, and the homebrew installation and settings are untouched (I re-installed the OS recently, so it's all fresh).

lmrodriguezr commented Mar 15, 2014

You're right, I don't understand either. When I open the formula with brew edit python, the URL is http://www.python.org/ftp/python/2.7.6/Python-2.7.6.tgz. I tried uninstalling, cleaning the cache, and installing again, and it still downloads from https://downloads.sf.net/project/machomebrew/Bottles/python-2.7.6.mavericks.bottle.tar.gz. Any idea?

I haven't changed any formulae, and the homebrew installation and settings are untouched (I re-installed the OS recently, so it's all fresh).

@mistydemeo

This comment has been minimized.

Show comment
Hide comment
@mistydemeo

mistydemeo Mar 15, 2014

Contributor

@lmrodriguezr I didn't understand why Python source downloading from https://downloads.sf.net/project/machomebrew/Bottles/python-2.7.6.mavericks.bottle.tar.gz

That's the binary package that Homebrew installs by default.

Anyone having this issue: does it only manifest if the bottle pours? Does it occur if you brew install python --build-from-source?

Contributor

mistydemeo commented Mar 15, 2014

@lmrodriguezr I didn't understand why Python source downloading from https://downloads.sf.net/project/machomebrew/Bottles/python-2.7.6.mavericks.bottle.tar.gz

That's the binary package that Homebrew installs by default.

Anyone having this issue: does it only manifest if the bottle pours? Does it occur if you brew install python --build-from-source?

@lmrodriguezr

This comment has been minimized.

Show comment
Hide comment
@lmrodriguezr

lmrodriguezr Mar 15, 2014

The problem was on the pip upgrade, and I've solved it manually (changing
the version in /usr/local/bin/pip and then executing pip --upgrade pip), so I don't know if I can reproduce it with --build-from-source. However, --build-from-source downloads from the right URL in the formula.

lmrodriguezr commented Mar 15, 2014

The problem was on the pip upgrade, and I've solved it manually (changing
the version in /usr/local/bin/pip and then executing pip --upgrade pip), so I don't know if I can reproduce it with --build-from-source. However, --build-from-source downloads from the right URL in the formula.

@mistydemeo

This comment has been minimized.

Show comment
Hide comment
@mistydemeo

mistydemeo Mar 15, 2014

Contributor

However, --build-from-source downloads from the right URL in the formula.

That's the source URL. Homebrew also distributes binary packages that we build, and those are installed by default. That's why the URL is different in that case.

Contributor

mistydemeo commented Mar 15, 2014

However, --build-from-source downloads from the right URL in the formula.

That's the source URL. Homebrew also distributes binary packages that we build, and those are installed by default. That's why the URL is different in that case.

@aorcsik

This comment has been minimized.

Show comment
Hide comment
@aorcsik

aorcsik Mar 15, 2014

It works with --build-from-source, just tried it out.

aorcsik commented Mar 15, 2014

It works with --build-from-source, just tried it out.

@mistydemeo

This comment has been minimized.

Show comment
Hide comment
@mistydemeo

mistydemeo Mar 15, 2014

Contributor

@MikeMcQuaid I think the bottles are broken.

Contributor

mistydemeo commented Mar 15, 2014

@MikeMcQuaid I think the bottles are broken.

@mistydemeo

This comment has been minimized.

Show comment
Hide comment
@mistydemeo

mistydemeo Mar 15, 2014

Contributor

@MikeMcQuaid The site-packages within the Python framework's lib directory is a symlink to $(brew --prefix)/lib/python2.7/site-packages, so pip and setuptools are being installed outside python's keg and are not being bottled.

Contributor

mistydemeo commented Mar 15, 2014

@MikeMcQuaid The site-packages within the Python framework's lib directory is a symlink to $(brew --prefix)/lib/python2.7/site-packages, so pip and setuptools are being installed outside python's keg and are not being bottled.

@MikeMcQuaid

This comment has been minimized.

Show comment
Hide comment
@MikeMcQuaid

MikeMcQuaid Mar 16, 2014

Member

@mistydemeo Bottles removed, thanks.

Member

MikeMcQuaid commented Mar 16, 2014

@mistydemeo Bottles removed, thanks.

MikeMcQuaid added a commit that referenced this issue Mar 16, 2014

ehershey added a commit to ehershey/homebrew that referenced this issue Apr 4, 2014

Python: pip 1.5.4, setuptools 2.2
Fixes Homebrew#26900.
Closes Homebrew#26915.

Signed-off-by: Adam Vandenberg <flangy@gmail.com>

ehershey added a commit to ehershey/homebrew that referenced this issue Apr 4, 2014

@the-efi

This comment has been minimized.

Show comment
Hide comment
@the-efi

the-efi May 4, 2014

This is still happening, but this time with pkg_resources.DistributionNotFound: pip==1.5.4 since pip install --upgrade pip installs pip 1.5.5.

the-efi commented May 4, 2014

This is still happening, but this time with pkg_resources.DistributionNotFound: pip==1.5.4 since pip install --upgrade pip installs pip 1.5.5.

@wem3

This comment has been minimized.

Show comment
Hide comment
@wem3

wem3 May 5, 2014

I had the same issue.

@aorcsik It works with --build-from-source, just tried it out.

This fixed it for me.

wem3 commented May 5, 2014

I had the same issue.

@aorcsik It works with --build-from-source, just tried it out.

This fixed it for me.

@duailibe

This comment has been minimized.

Show comment
Hide comment
@duailibe

duailibe May 6, 2014

I have the same issue. --build-from-source did not work for me, though.

duailibe commented May 6, 2014

I have the same issue. --build-from-source did not work for me, though.

@thomasgwatson

This comment has been minimized.

Show comment
Hide comment
@thomasgwatson

thomasgwatson May 7, 2014

Same issue here. --build-from-source worked fine for python3 and pip but not for python

thomasgwatson commented May 7, 2014

Same issue here. --build-from-source worked fine for python3 and pip but not for python

@oryband

This comment has been minimized.

Show comment
Hide comment
@oryband

oryband May 7, 2014

This still occurs for me also. We isn't this issue re-opened?

oryband commented May 7, 2014

This still occurs for me also. We isn't this issue re-opened?

@wem3

This comment has been minimized.

Show comment
Hide comment
@wem3

wem3 May 7, 2014

I just set up a new machine and got the same issue (in this instance, not solved by --build-from-source). I fixed it temporarily by manually changing instances of pip==1.5.4 to pip=1.5.5 in /usr/local/Cellar/python/2.7.6_1/pip.

The same thing happened w/ pip 1.5.2 --> 1.5.4, and this issue outlines an easy fix.

What is the best way to use this info to help? Open an issue? Just fork the mother, fix it and submit a pull request?

wem3 commented May 7, 2014

I just set up a new machine and got the same issue (in this instance, not solved by --build-from-source). I fixed it temporarily by manually changing instances of pip==1.5.4 to pip=1.5.5 in /usr/local/Cellar/python/2.7.6_1/pip.

The same thing happened w/ pip 1.5.2 --> 1.5.4, and this issue outlines an easy fix.

What is the best way to use this info to help? Open an issue? Just fork the mother, fix it and submit a pull request?

@mistydemeo mistydemeo reopened this May 8, 2014

@mistydemeo

This comment has been minimized.

Show comment
Hide comment
@mistydemeo

mistydemeo May 8, 2014

Contributor

Reopening since this symptom is still an issue; the Python bottles don't seem to be at fault, since building from source still exhibits it.

Contributor

mistydemeo commented May 8, 2014

Reopening since this symptom is still an issue; the Python bottles don't seem to be at fault, since building from source still exhibits it.

@mistydemeo

This comment has been minimized.

Show comment
Hide comment
@mistydemeo

mistydemeo May 8, 2014

Contributor

The problem only seems to happen when using the wheel; pip install --upgrade --no-use-wheel pip works.

Contributor

mistydemeo commented May 8, 2014

The problem only seems to happen when using the wheel; pip install --upgrade --no-use-wheel pip works.

@wem3

This comment has been minimized.

Show comment
Hide comment
@wem3

wem3 May 8, 2014

I think Upgrade setuptools and pip Pull Request #29039 probably solves this, as well as pypa/pip #1800 .

wem3 commented May 8, 2014

I think Upgrade setuptools and pip Pull Request #29039 probably solves this, as well as pypa/pip #1800 .

@mistydemeo

This comment has been minimized.

Show comment
Hide comment
@mistydemeo

mistydemeo May 8, 2014

Contributor

That PR does not fix it; setuptools 3.6 still exhibits this problem. It'd only postpone it by packaging the newest setuptools/pip that would break in the same way a little while later.

Contributor

mistydemeo commented May 8, 2014

That PR does not fix it; setuptools 3.6 still exhibits this problem. It'd only postpone it by packaging the newest setuptools/pip that would break in the same way a little while later.

@vmrob

This comment has been minimized.

Show comment
Hide comment
@vmrob

vmrob May 9, 2014

Just to add to the noise, I had the exact same issue on both my Windows and Mac machines using python 2.7.6 and pip 1.5.5. I removed python and my pip modules on my Mac environment and ran brew update followed by brew install python --build-from-source. The suggestion to build from source fixed the issue on OS X and I was able to install packages and run pip properly.

vmrob commented May 9, 2014

Just to add to the noise, I had the exact same issue on both my Windows and Mac machines using python 2.7.6 and pip 1.5.5. I removed python and my pip modules on my Mac environment and ran brew update followed by brew install python --build-from-source. The suggestion to build from source fixed the issue on OS X and I was able to install packages and run pip properly.

@simlun

This comment has been minimized.

Show comment
Hide comment
@simlun

simlun May 14, 2014

@mistydemeo Yup, that's probably true! And I shouldn't have called it a solution, it's more of a workaround.. ;)

simlun commented May 14, 2014

@mistydemeo Yup, that's probably true! And I shouldn't have called it a solution, it's more of a workaround.. ;)

@clarkminor

This comment has been minimized.

Show comment
Hide comment
@clarkminor

clarkminor May 17, 2014

Unfortunately, I don't think the workaround posted by @simlun works anymore. Upgrading pip now pulls in version 1.5.6:

$ brew uninstall python
[...]
$ brew install python --build-from-source
[...]
$ python --version
Python 2.7.6
$ pip install --upgrade pip
Downloading/unpacking pip from https://pypi.python.org/packages/py2.py3/p/pip/pip-1.5.6-py2.py3-none-any.whl#md5=4d4fb4b69df6731c7aeaadd6300bc1f2
[...]
$ pip --version
Traceback (most recent call last):
[...]
pkg_resources.DistributionNotFound: pip==1.5.5

Though it looks like 1.5.6 was released less than a day ago (pypa/pip@81f21f2) so hopefully things will clear up soon.

clarkminor commented May 17, 2014

Unfortunately, I don't think the workaround posted by @simlun works anymore. Upgrading pip now pulls in version 1.5.6:

$ brew uninstall python
[...]
$ brew install python --build-from-source
[...]
$ python --version
Python 2.7.6
$ pip install --upgrade pip
Downloading/unpacking pip from https://pypi.python.org/packages/py2.py3/p/pip/pip-1.5.6-py2.py3-none-any.whl#md5=4d4fb4b69df6731c7aeaadd6300bc1f2
[...]
$ pip --version
Traceback (most recent call last):
[...]
pkg_resources.DistributionNotFound: pip==1.5.5

Though it looks like 1.5.6 was released less than a day ago (pypa/pip@81f21f2) so hopefully things will clear up soon.

@tloredo

This comment has been minimized.

Show comment
Hide comment
@tloredo

tloredo May 18, 2014

I can verify that the problem is still here with a new Python installation (poured) on 2014-05-18, although I get:

pkg_resources.DistributionNotFound: pip==1.5.4

i.e., 1.5.4 instead of 1.5.5. My workaround was to uninstall and the reinstall Python, but not do the suggested upgrades of setuptools and pip. Then pip is fine, running 1.5.4:

$ pip --version pip 1.5.4 from /usr/local/Cellar/python/2.7.6_1/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.4-py2.7.egg (python 2.7)

tloredo commented May 18, 2014

I can verify that the problem is still here with a new Python installation (poured) on 2014-05-18, although I get:

pkg_resources.DistributionNotFound: pip==1.5.4

i.e., 1.5.4 instead of 1.5.5. My workaround was to uninstall and the reinstall Python, but not do the suggested upgrades of setuptools and pip. Then pip is fine, running 1.5.4:

$ pip --version pip 1.5.4 from /usr/local/Cellar/python/2.7.6_1/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.4-py2.7.egg (python 2.7)
@ghost

This comment has been minimized.

Show comment
Hide comment
@ghost

ghost May 19, 2014

Confirmed that installing from the bottle or from source does not successfully run pip install --upgrade pip.

OS X 10.9.3
early 2013 rMBP

ghost commented May 19, 2014

Confirmed that installing from the bottle or from source does not successfully run pip install --upgrade pip.

OS X 10.9.3
early 2013 rMBP

@RobertAudi

This comment has been minimized.

Show comment
Hide comment
@RobertAudi

RobertAudi May 20, 2014

Contributor

Issue fixed for me by using --build-from-source when installing python, and by using --no-use-wheel when upgrading setuptools and pip.

Contributor

RobertAudi commented May 20, 2014

Issue fixed for me by using --build-from-source when installing python, and by using --no-use-wheel when upgrading setuptools and pip.

@mistydemeo

This comment has been minimized.

Show comment
Hide comment
@mistydemeo

mistydemeo May 20, 2014

Contributor

--no-use-wheel is the workaround; --build-from-source changes nothing here.

Contributor

mistydemeo commented May 20, 2014

--no-use-wheel is the workaround; --build-from-source changes nothing here.

@ghost

This comment has been minimized.

Show comment
Hide comment
@ghost

ghost May 20, 2014

After some more testing, it looks like @mistydemeo is correct. Thanks!

ghost commented May 20, 2014

After some more testing, it looks like @mistydemeo is correct. Thanks!

@betandr

This comment has been minimized.

Show comment
Hide comment
@betandr

betandr May 22, 2014

@mistydemeo's --no-use-wheel worked for me too

betandr commented May 22, 2014

@mistydemeo's --no-use-wheel worked for me too

@Dangeranger

This comment has been minimized.

Show comment
Hide comment
@Dangeranger

Dangeranger May 23, 2014

This worked for me as well.

--build from source was unnecessary for me.

OSX 10.7.5

$ brew uninstall python
[...]
$ brew install python 
[...]
$ python --version
Python 2.7.6
$ pip install --upgrade --no-use-wheel pip 
Downloading/unpacking pip from https://pypi.python.org/packages/source/p/pip/pip-1.5.6.tar.gz
[...]
$ pip install --upgrade --no-use-wheel setuptools 
Downloading/unpacking setuptools from https://pypi.python.org/packages/source/s/setuptools/setuptools-3.6.tar.gz
[...]

Dangeranger commented May 23, 2014

This worked for me as well.

--build from source was unnecessary for me.

OSX 10.7.5

$ brew uninstall python
[...]
$ brew install python 
[...]
$ python --version
Python 2.7.6
$ pip install --upgrade --no-use-wheel pip 
Downloading/unpacking pip from https://pypi.python.org/packages/source/p/pip/pip-1.5.6.tar.gz
[...]
$ pip install --upgrade --no-use-wheel setuptools 
Downloading/unpacking setuptools from https://pypi.python.org/packages/source/s/setuptools/setuptools-3.6.tar.gz
[...]
@methane

This comment has been minimized.

Show comment
Hide comment
@methane

methane May 29, 2014

Contributor

Homebrew installs pip with --install-scripts=/usr/local/Cellar/python/2.7.6_1/bin and make symlink on /usr/local/bin.
But pip install installs scripts to /usr/local/bin.

When without --no-use-wheel, pip doesn't overwrite symlink.
When with --no-use-wheel, pip overwites symlink target (/usr/local/Cellar/python/2.7.6_1/bin/pip).

How about stop using symlink?

Contributor

methane commented May 29, 2014

Homebrew installs pip with --install-scripts=/usr/local/Cellar/python/2.7.6_1/bin and make symlink on /usr/local/bin.
But pip install installs scripts to /usr/local/bin.

When without --no-use-wheel, pip doesn't overwrite symlink.
When with --no-use-wheel, pip overwites symlink target (/usr/local/Cellar/python/2.7.6_1/bin/pip).

How about stop using symlink?

@mistydemeo

This comment has been minimized.

Show comment
Hide comment
@mistydemeo

mistydemeo Jun 2, 2014

Contributor

I can no longer reproduce this, with pip 1.5.5 and setuptools 4.0.

I noticed, when clearing out my pip 1.5.6 to try and repro, that I had two copies of pip 1.5.6 installed, and I had to pip uninstall twice to clear it out.

The first pip uninstall removed:

/usr/local/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg

While the second removed these:

  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/DESCRIPTION.rst
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/METADATA
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/RECORD
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/WHEEL
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/entry_points.txt
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/metadata.json
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/top_level.txt
  /usr/local/lib/python2.7/site-packages/pip/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/__main__.py
  /usr/local/lib/python2.7/site-packages/pip/__main__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/_markerlib/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/_markerlib/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/_markerlib/markers.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/_markerlib/markers.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/ansi.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/ansi.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/ansitowin32.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/ansitowin32.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/initialise.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/initialise.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/win32.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/win32.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/winterm.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/winterm.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/misc.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/misc.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/shutil.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/shutil.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/sysconfig.cfg
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/sysconfig.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/sysconfig.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/tarfile.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/tarfile.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/compat.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/compat.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/database.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/database.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/index.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/index.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/locators.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/locators.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/manifest.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/manifest.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/markers.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/markers.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/metadata.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/metadata.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/resources.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/resources.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/scripts.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/scripts.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/t32.exe
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/t64.exe
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/util.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/util.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/version.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/version.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/w32.exe
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/w64.exe
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/wheel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/wheel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/constants.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/constants.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/_base.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/_base.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/alphabeticalattributes.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/alphabeticalattributes.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/inject_meta_charset.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/inject_meta_charset.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/lint.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/lint.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/optionaltags.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/optionaltags.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/sanitizer.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/sanitizer.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/whitespace.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/whitespace.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/html5parser.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/html5parser.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/ihatexml.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/ihatexml.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/inputstream.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/inputstream.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/sanitizer.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/sanitizer.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/serializer/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/serializer/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/serializer/htmlserializer.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/serializer/htmlserializer.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/tokenizer.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/tokenizer.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treeadapters/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treeadapters/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treeadapters/sax.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treeadapters/sax.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/_base.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/_base.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/dom.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/dom.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/etree.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/etree.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/etree_lxml.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/etree_lxml.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/_base.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/_base.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/dom.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/dom.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/etree.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/etree.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/genshistream.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/genshistream.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/lxmletree.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/lxmletree.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/pulldom.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/pulldom.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/_base.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/_base.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/datrie.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/datrie.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/py.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/py.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/utils.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/utils.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/pkg_resources.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/pkg_resources.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/re-vendor.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/re-vendor.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/adapters.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/adapters.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/api.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/api.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/auth.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/auth.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/cacert.pem
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/certs.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/certs.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/compat.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/compat.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/cookies.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/cookies.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/exceptions.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/exceptions.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/hooks.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/hooks.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/models.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/models.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/big5freq.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/big5freq.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/big5prober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/big5prober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/chardetect.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/chardetect.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/chardistribution.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/chardistribution.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/charsetgroupprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/charsetgroupprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/charsetprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/charsetprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/codingstatemachine.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/codingstatemachine.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/compat.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/compat.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/constants.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/constants.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/cp949prober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/cp949prober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/escprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/escprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/escsm.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/escsm.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/eucjpprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/eucjpprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euckrfreq.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euckrfreq.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euckrprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euckrprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euctwfreq.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euctwfreq.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euctwprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euctwprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/gb2312freq.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/gb2312freq.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/gb2312prober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/gb2312prober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/hebrewprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/hebrewprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/jisfreq.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/jisfreq.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/jpcntx.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/jpcntx.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langbulgarianmodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langbulgarianmodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langcyrillicmodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langcyrillicmodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langgreekmodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langgreekmodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langhebrewmodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langhebrewmodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langhungarianmodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langhungarianmodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langthaimodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langthaimodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/latin1prober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/latin1prober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcharsetprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcharsetprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcsgroupprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcsgroupprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcssm.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcssm.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sbcharsetprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sbcharsetprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sbcsgroupprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sbcsgroupprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sjisprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sjisprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/universaldetector.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/universaldetector.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/utf8prober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/utf8prober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/_collections.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/_collections.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/connection.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/connection.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/connectionpool.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/connectionpool.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/ntlmpool.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/ntlmpool.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/pyopenssl.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/pyopenssl.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/exceptions.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/exceptions.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/fields.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/fields.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/filepost.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/filepost.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ordered_dict.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ordered_dict.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/six.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/six.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ssl_match_hostname/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ssl_match_hostname/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ssl_match_hostname/_implementation.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ssl_match_hostname/_implementation.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/poolmanager.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/poolmanager.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/request.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/request.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/response.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/response.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/connection.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/connection.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/request.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/request.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/response.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/response.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/timeout.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/timeout.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/url.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/url.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/sessions.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/sessions.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/status_codes.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/status_codes.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/structures.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/structures.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/utils.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/utils.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/six.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/six.pyc
  /usr/local/lib/python2.7/site-packages/pip/backwardcompat/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/backwardcompat/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/basecommand.py
  /usr/local/lib/python2.7/site-packages/pip/basecommand.pyc
  /usr/local/lib/python2.7/site-packages/pip/baseparser.py
  /usr/local/lib/python2.7/site-packages/pip/baseparser.pyc
  /usr/local/lib/python2.7/site-packages/pip/cmdoptions.py
  /usr/local/lib/python2.7/site-packages/pip/cmdoptions.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/commands/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/bundle.py
  /usr/local/lib/python2.7/site-packages/pip/commands/bundle.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/completion.py
  /usr/local/lib/python2.7/site-packages/pip/commands/completion.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/freeze.py
  /usr/local/lib/python2.7/site-packages/pip/commands/freeze.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/help.py
  /usr/local/lib/python2.7/site-packages/pip/commands/help.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/install.py
  /usr/local/lib/python2.7/site-packages/pip/commands/install.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/list.py
  /usr/local/lib/python2.7/site-packages/pip/commands/list.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/search.py
  /usr/local/lib/python2.7/site-packages/pip/commands/search.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/show.py
  /usr/local/lib/python2.7/site-packages/pip/commands/show.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/uninstall.py
  /usr/local/lib/python2.7/site-packages/pip/commands/uninstall.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/unzip.py
  /usr/local/lib/python2.7/site-packages/pip/commands/unzip.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/wheel.py
  /usr/local/lib/python2.7/site-packages/pip/commands/wheel.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/zip.py
  /usr/local/lib/python2.7/site-packages/pip/commands/zip.pyc
  /usr/local/lib/python2.7/site-packages/pip/download.py
  /usr/local/lib/python2.7/site-packages/pip/download.pyc
  /usr/local/lib/python2.7/site-packages/pip/exceptions.py
  /usr/local/lib/python2.7/site-packages/pip/exceptions.pyc
  /usr/local/lib/python2.7/site-packages/pip/index.py
  /usr/local/lib/python2.7/site-packages/pip/index.pyc
  /usr/local/lib/python2.7/site-packages/pip/locations.py
  /usr/local/lib/python2.7/site-packages/pip/locations.pyc
  /usr/local/lib/python2.7/site-packages/pip/log.py
  /usr/local/lib/python2.7/site-packages/pip/log.pyc
  /usr/local/lib/python2.7/site-packages/pip/pep425tags.py
  /usr/local/lib/python2.7/site-packages/pip/pep425tags.pyc
  /usr/local/lib/python2.7/site-packages/pip/req.py
  /usr/local/lib/python2.7/site-packages/pip/req.pyc
  /usr/local/lib/python2.7/site-packages/pip/runner.py
  /usr/local/lib/python2.7/site-packages/pip/runner.pyc
  /usr/local/lib/python2.7/site-packages/pip/status_codes.py
  /usr/local/lib/python2.7/site-packages/pip/status_codes.pyc
  /usr/local/lib/python2.7/site-packages/pip/util.py
  /usr/local/lib/python2.7/site-packages/pip/util.pyc
  /usr/local/lib/python2.7/site-packages/pip/vcs/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/vcs/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/vcs/bazaar.py
  /usr/local/lib/python2.7/site-packages/pip/vcs/bazaar.pyc
  /usr/local/lib/python2.7/site-packages/pip/vcs/git.py
  /usr/local/lib/python2.7/site-packages/pip/vcs/git.pyc
  /usr/local/lib/python2.7/site-packages/pip/vcs/mercurial.py
  /usr/local/lib/python2.7/site-packages/pip/vcs/mercurial.pyc
  /usr/local/lib/python2.7/site-packages/pip/vcs/subversion.py
  /usr/local/lib/python2.7/site-packages/pip/vcs/subversion.pyc
  /usr/local/lib/python2.7/site-packages/pip/wheel.py
  /usr/local/lib/python2.7/site-packages/pip/wheel.pyc
Contributor

mistydemeo commented Jun 2, 2014

I can no longer reproduce this, with pip 1.5.5 and setuptools 4.0.

I noticed, when clearing out my pip 1.5.6 to try and repro, that I had two copies of pip 1.5.6 installed, and I had to pip uninstall twice to clear it out.

The first pip uninstall removed:

/usr/local/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg

While the second removed these:

  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/DESCRIPTION.rst
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/METADATA
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/RECORD
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/WHEEL
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/entry_points.txt
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/metadata.json
  /usr/local/lib/python2.7/site-packages/pip-1.5.6.dist-info/top_level.txt
  /usr/local/lib/python2.7/site-packages/pip/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/__main__.py
  /usr/local/lib/python2.7/site-packages/pip/__main__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/_markerlib/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/_markerlib/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/_markerlib/markers.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/_markerlib/markers.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/ansi.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/ansi.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/ansitowin32.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/ansitowin32.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/initialise.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/initialise.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/win32.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/win32.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/winterm.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/colorama/winterm.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/misc.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/misc.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/shutil.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/shutil.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/sysconfig.cfg
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/sysconfig.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/sysconfig.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/tarfile.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/_backport/tarfile.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/compat.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/compat.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/database.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/database.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/index.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/index.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/locators.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/locators.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/manifest.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/manifest.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/markers.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/markers.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/metadata.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/metadata.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/resources.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/resources.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/scripts.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/scripts.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/t32.exe
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/t64.exe
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/util.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/util.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/version.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/version.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/w32.exe
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/w64.exe
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/wheel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/distlib/wheel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/constants.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/constants.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/_base.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/_base.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/alphabeticalattributes.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/alphabeticalattributes.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/inject_meta_charset.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/inject_meta_charset.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/lint.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/lint.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/optionaltags.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/optionaltags.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/sanitizer.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/sanitizer.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/whitespace.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/filters/whitespace.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/html5parser.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/html5parser.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/ihatexml.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/ihatexml.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/inputstream.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/inputstream.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/sanitizer.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/sanitizer.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/serializer/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/serializer/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/serializer/htmlserializer.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/serializer/htmlserializer.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/tokenizer.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/tokenizer.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treeadapters/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treeadapters/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treeadapters/sax.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treeadapters/sax.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/_base.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/_base.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/dom.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/dom.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/etree.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/etree.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/etree_lxml.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treebuilders/etree_lxml.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/_base.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/_base.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/dom.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/dom.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/etree.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/etree.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/genshistream.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/genshistream.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/lxmletree.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/lxmletree.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/pulldom.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/treewalkers/pulldom.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/_base.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/_base.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/datrie.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/datrie.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/py.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/trie/py.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/utils.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/html5lib/utils.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/pkg_resources.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/pkg_resources.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/re-vendor.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/re-vendor.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/adapters.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/adapters.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/api.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/api.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/auth.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/auth.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/cacert.pem
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/certs.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/certs.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/compat.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/compat.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/cookies.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/cookies.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/exceptions.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/exceptions.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/hooks.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/hooks.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/models.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/models.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/big5freq.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/big5freq.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/big5prober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/big5prober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/chardetect.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/chardetect.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/chardistribution.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/chardistribution.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/charsetgroupprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/charsetgroupprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/charsetprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/charsetprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/codingstatemachine.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/codingstatemachine.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/compat.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/compat.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/constants.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/constants.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/cp949prober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/cp949prober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/escprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/escprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/escsm.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/escsm.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/eucjpprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/eucjpprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euckrfreq.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euckrfreq.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euckrprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euckrprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euctwfreq.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euctwfreq.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euctwprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/euctwprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/gb2312freq.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/gb2312freq.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/gb2312prober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/gb2312prober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/hebrewprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/hebrewprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/jisfreq.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/jisfreq.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/jpcntx.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/jpcntx.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langbulgarianmodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langbulgarianmodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langcyrillicmodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langcyrillicmodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langgreekmodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langgreekmodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langhebrewmodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langhebrewmodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langhungarianmodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langhungarianmodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langthaimodel.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/langthaimodel.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/latin1prober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/latin1prober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcharsetprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcharsetprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcsgroupprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcsgroupprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcssm.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/mbcssm.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sbcharsetprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sbcharsetprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sbcsgroupprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sbcsgroupprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sjisprober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/sjisprober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/universaldetector.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/universaldetector.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/utf8prober.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/chardet/utf8prober.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/_collections.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/_collections.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/connection.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/connection.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/connectionpool.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/connectionpool.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/ntlmpool.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/ntlmpool.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/pyopenssl.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/contrib/pyopenssl.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/exceptions.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/exceptions.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/fields.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/fields.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/filepost.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/filepost.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ordered_dict.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ordered_dict.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/six.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/six.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ssl_match_hostname/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ssl_match_hostname/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ssl_match_hostname/_implementation.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/packages/ssl_match_hostname/_implementation.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/poolmanager.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/poolmanager.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/request.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/request.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/response.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/response.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/connection.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/connection.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/request.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/request.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/response.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/response.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/timeout.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/timeout.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/url.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/url.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/sessions.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/sessions.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/status_codes.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/status_codes.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/structures.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/structures.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/utils.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/requests/utils.pyc
  /usr/local/lib/python2.7/site-packages/pip/_vendor/six.py
  /usr/local/lib/python2.7/site-packages/pip/_vendor/six.pyc
  /usr/local/lib/python2.7/site-packages/pip/backwardcompat/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/backwardcompat/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/basecommand.py
  /usr/local/lib/python2.7/site-packages/pip/basecommand.pyc
  /usr/local/lib/python2.7/site-packages/pip/baseparser.py
  /usr/local/lib/python2.7/site-packages/pip/baseparser.pyc
  /usr/local/lib/python2.7/site-packages/pip/cmdoptions.py
  /usr/local/lib/python2.7/site-packages/pip/cmdoptions.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/commands/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/bundle.py
  /usr/local/lib/python2.7/site-packages/pip/commands/bundle.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/completion.py
  /usr/local/lib/python2.7/site-packages/pip/commands/completion.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/freeze.py
  /usr/local/lib/python2.7/site-packages/pip/commands/freeze.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/help.py
  /usr/local/lib/python2.7/site-packages/pip/commands/help.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/install.py
  /usr/local/lib/python2.7/site-packages/pip/commands/install.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/list.py
  /usr/local/lib/python2.7/site-packages/pip/commands/list.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/search.py
  /usr/local/lib/python2.7/site-packages/pip/commands/search.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/show.py
  /usr/local/lib/python2.7/site-packages/pip/commands/show.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/uninstall.py
  /usr/local/lib/python2.7/site-packages/pip/commands/uninstall.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/unzip.py
  /usr/local/lib/python2.7/site-packages/pip/commands/unzip.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/wheel.py
  /usr/local/lib/python2.7/site-packages/pip/commands/wheel.pyc
  /usr/local/lib/python2.7/site-packages/pip/commands/zip.py
  /usr/local/lib/python2.7/site-packages/pip/commands/zip.pyc
  /usr/local/lib/python2.7/site-packages/pip/download.py
  /usr/local/lib/python2.7/site-packages/pip/download.pyc
  /usr/local/lib/python2.7/site-packages/pip/exceptions.py
  /usr/local/lib/python2.7/site-packages/pip/exceptions.pyc
  /usr/local/lib/python2.7/site-packages/pip/index.py
  /usr/local/lib/python2.7/site-packages/pip/index.pyc
  /usr/local/lib/python2.7/site-packages/pip/locations.py
  /usr/local/lib/python2.7/site-packages/pip/locations.pyc
  /usr/local/lib/python2.7/site-packages/pip/log.py
  /usr/local/lib/python2.7/site-packages/pip/log.pyc
  /usr/local/lib/python2.7/site-packages/pip/pep425tags.py
  /usr/local/lib/python2.7/site-packages/pip/pep425tags.pyc
  /usr/local/lib/python2.7/site-packages/pip/req.py
  /usr/local/lib/python2.7/site-packages/pip/req.pyc
  /usr/local/lib/python2.7/site-packages/pip/runner.py
  /usr/local/lib/python2.7/site-packages/pip/runner.pyc
  /usr/local/lib/python2.7/site-packages/pip/status_codes.py
  /usr/local/lib/python2.7/site-packages/pip/status_codes.pyc
  /usr/local/lib/python2.7/site-packages/pip/util.py
  /usr/local/lib/python2.7/site-packages/pip/util.pyc
  /usr/local/lib/python2.7/site-packages/pip/vcs/__init__.py
  /usr/local/lib/python2.7/site-packages/pip/vcs/__init__.pyc
  /usr/local/lib/python2.7/site-packages/pip/vcs/bazaar.py
  /usr/local/lib/python2.7/site-packages/pip/vcs/bazaar.pyc
  /usr/local/lib/python2.7/site-packages/pip/vcs/git.py
  /usr/local/lib/python2.7/site-packages/pip/vcs/git.pyc
  /usr/local/lib/python2.7/site-packages/pip/vcs/mercurial.py
  /usr/local/lib/python2.7/site-packages/pip/vcs/mercurial.pyc
  /usr/local/lib/python2.7/site-packages/pip/vcs/subversion.py
  /usr/local/lib/python2.7/site-packages/pip/vcs/subversion.pyc
  /usr/local/lib/python2.7/site-packages/pip/wheel.py
  /usr/local/lib/python2.7/site-packages/pip/wheel.pyc
@methane

This comment has been minimized.

Show comment
Hide comment
@methane

methane Jun 3, 2014

Contributor

Now homebrew's Python bundles pip 1.5.6. pip install -U pip doesn't upgrade pip.
But I can reproduce same issue with setuptools 4.0.1. Nothing resolved.

$ brew uninstall python

$ rm -rf /usr/local/lib/python2.7/

$ brew install python
==> Downloading https://downloads.sf.net/project/machomebrew/Bottles/python-2.7.7.mavericks.bottle.tar.gz
Already downloaded: /Library/Caches/Homebrew/python-2.7.7.mavericks.bottle.tar.gz
==> Pouring python-2.7.7.mavericks.bottle.tar.gz
==> Caveats
Setuptools and Pip have been installed. To update them
  pip install --upgrade setuptools
  pip install --upgrade pip

You can install Python packages with
  pip install <package>

They will install into the site-package directory
  /usr/local/lib/python2.7/site-packages

See: https://github.com/Homebrew/homebrew/wiki/Homebrew-and-Python

.app bundles were installed.
Run `brew linkapps` to symlink these to /Applications.
==> /usr/local/Cellar/python/2.7.7/bin/python -s setup.py --no-user-cfg install --force --verbose --install-scripts=/usr/local/Cellar/python/2.7.7/bin --install-lib=/usr/local/li
==> /usr/local/Cellar/python/2.7.7/bin/python -s setup.py --no-user-cfg install --force --verbose --install-scripts=/usr/local/Cellar/python/2.7.7/bin --install-lib=/usr/local/li
==> Summary
🍺  /usr/local/Cellar/python/2.7.7: 4748 files, 75M
$ pip install --upgrade setuptools pip
Downloading/unpacking setuptools from https://pypi.python.org/packages/3.4/s/setuptools/setuptools-4.0.1-py2.py3-none-any.whl#md5=367263405a633eeec9cf1cec49b661fc
  Downloading setuptools-4.0.1-py2.py3-none-any.whl (549kB): 549kB downloaded
  Storing download in cache at /Users/inada-n/.pip/cache/https%3A%2F%2Fpypi.python.org%2Fpackages%2F3.4%2Fs%2Fsetuptools%2Fsetuptools-4.0.1-py2.py3-none-any.whl
Requirement already up-to-date: pip in /usr/local/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg
Installing collected packages: setuptools
  Found existing installation: setuptools 4.0
    Uninstalling setuptools:
      Successfully uninstalled setuptools
Successfully installed setuptools
Cleaning up...

$ easy_install
Traceback (most recent call last):
  File "/usr/local/bin/easy_install", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 2837, in <module>
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 451, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 464, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 639, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: setuptools==4.0
Contributor

methane commented Jun 3, 2014

Now homebrew's Python bundles pip 1.5.6. pip install -U pip doesn't upgrade pip.
But I can reproduce same issue with setuptools 4.0.1. Nothing resolved.

$ brew uninstall python

$ rm -rf /usr/local/lib/python2.7/

$ brew install python
==> Downloading https://downloads.sf.net/project/machomebrew/Bottles/python-2.7.7.mavericks.bottle.tar.gz
Already downloaded: /Library/Caches/Homebrew/python-2.7.7.mavericks.bottle.tar.gz
==> Pouring python-2.7.7.mavericks.bottle.tar.gz
==> Caveats
Setuptools and Pip have been installed. To update them
  pip install --upgrade setuptools
  pip install --upgrade pip

You can install Python packages with
  pip install <package>

They will install into the site-package directory
  /usr/local/lib/python2.7/site-packages

See: https://github.com/Homebrew/homebrew/wiki/Homebrew-and-Python

.app bundles were installed.
Run `brew linkapps` to symlink these to /Applications.
==> /usr/local/Cellar/python/2.7.7/bin/python -s setup.py --no-user-cfg install --force --verbose --install-scripts=/usr/local/Cellar/python/2.7.7/bin --install-lib=/usr/local/li
==> /usr/local/Cellar/python/2.7.7/bin/python -s setup.py --no-user-cfg install --force --verbose --install-scripts=/usr/local/Cellar/python/2.7.7/bin --install-lib=/usr/local/li
==> Summary
🍺  /usr/local/Cellar/python/2.7.7: 4748 files, 75M
$ pip install --upgrade setuptools pip
Downloading/unpacking setuptools from https://pypi.python.org/packages/3.4/s/setuptools/setuptools-4.0.1-py2.py3-none-any.whl#md5=367263405a633eeec9cf1cec49b661fc
  Downloading setuptools-4.0.1-py2.py3-none-any.whl (549kB): 549kB downloaded
  Storing download in cache at /Users/inada-n/.pip/cache/https%3A%2F%2Fpypi.python.org%2Fpackages%2F3.4%2Fs%2Fsetuptools%2Fsetuptools-4.0.1-py2.py3-none-any.whl
Requirement already up-to-date: pip in /usr/local/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg
Installing collected packages: setuptools
  Found existing installation: setuptools 4.0
    Uninstalling setuptools:
      Successfully uninstalled setuptools
Successfully installed setuptools
Cleaning up...

$ easy_install
Traceback (most recent call last):
  File "/usr/local/bin/easy_install", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 2837, in <module>
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 451, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 464, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 639, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: setuptools==4.0
@cliffrowley

This comment has been minimized.

Show comment
Hide comment
@cliffrowley

cliffrowley Jun 3, 2014

Contributor

No surprise I'm sure, but I'm also having this issue. I'll be happy to test any suggestions that anyone may have.

Edit: scrub that, cleaned everything and started afresh and --no-use-wheel fixed the issue. I can now run easy_install without error.

Contributor

cliffrowley commented Jun 3, 2014

No surprise I'm sure, but I'm also having this issue. I'll be happy to test any suggestions that anyone may have.

Edit: scrub that, cleaned everything and started afresh and --no-use-wheel fixed the issue. I can now run easy_install without error.

@methane

This comment has been minimized.

Show comment
Hide comment
@methane

methane Jun 3, 2014

Contributor

Options are:

  1. Stop using symlink and just install pip script into /usr/local/bin directly.
  2. Update caveats to use --no-use-wheel for upgrading pip and setuptools.
    https://github.com/Homebrew/homebrew/blob/master/Library/Formula/python.rb#L299-301
Contributor

methane commented Jun 3, 2014

Options are:

  1. Stop using symlink and just install pip script into /usr/local/bin directly.
  2. Update caveats to use --no-use-wheel for upgrading pip and setuptools.
    https://github.com/Homebrew/homebrew/blob/master/Library/Formula/python.rb#L299-301
@mistydemeo

This comment has been minimized.

Show comment
Hide comment
@mistydemeo

mistydemeo Jun 16, 2014

Contributor

This has been fixed by pypa/pip@31e5f41, and should be fine in the next release of pip.

Contributor

mistydemeo commented Jun 16, 2014

This has been fixed by pypa/pip@31e5f41, and should be fine in the next release of pip.

@mistydemeo mistydemeo closed this Jun 16, 2014

@methane

This comment has been minimized.

Show comment
Hide comment
@methane

methane Jul 17, 2014

Contributor

@FishGel pip doesn't support Python 2.4 and Homebrew doesn't provide Python 2.4.
Python 2.4 is very outdated. Python 2.7 is the only maintained Python 2.

Contributor

methane commented Jul 17, 2014

@FishGel pip doesn't support Python 2.4 and Homebrew doesn't provide Python 2.4.
Python 2.4 is very outdated. Python 2.7 is the only maintained Python 2.

@FishGel

This comment has been minimized.

Show comment
Hide comment
@FishGel

FishGel Jul 17, 2014

@methane

i am using Python 2.7.and i don't why it been installed to /usr/lib/python2.4/ path.
I install the pip print the error

...
         ^
SyntaxError: invalid syntax
  File "/usr/lib/python2.4/site-packages/pip-1.5.6-py2.4.egg/pip/_vendor/colorama/__init__.py", line 2
    from .initialise import init, deinit, reinit
         ^
SyntaxError: invalid syntax
  File "/usr/lib/python2.4/site-packages/pip-1.5.6-py2.4.egg/pip/_vendor/colorama/winterm.py", line 2
    from . import win32
         ^
SyntaxError: invalid syntax
Adding pip 1.5.6 to easy-install.pth file
Installing pip script to /usr/bin
Installing pip2 script to /usr/bin
Installing pip2.4 script to /usr/bin

Installed /usr/lib/python2.4/site-packages/pip-1.5.6-py2.4.egg
Processing dependencies for pip
# pip
Traceback (most recent call last):
  File "/usr/bin/pip", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 2603, in <module>
  File "/usr/local/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 666, in require
  File "/usr/local/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 565, in resolve
pkg_resources.DistributionNotFound: pip==1.5.6

FishGel commented Jul 17, 2014

@methane

i am using Python 2.7.and i don't why it been installed to /usr/lib/python2.4/ path.
I install the pip print the error

...
         ^
SyntaxError: invalid syntax
  File "/usr/lib/python2.4/site-packages/pip-1.5.6-py2.4.egg/pip/_vendor/colorama/__init__.py", line 2
    from .initialise import init, deinit, reinit
         ^
SyntaxError: invalid syntax
  File "/usr/lib/python2.4/site-packages/pip-1.5.6-py2.4.egg/pip/_vendor/colorama/winterm.py", line 2
    from . import win32
         ^
SyntaxError: invalid syntax
Adding pip 1.5.6 to easy-install.pth file
Installing pip script to /usr/bin
Installing pip2 script to /usr/bin
Installing pip2.4 script to /usr/bin

Installed /usr/lib/python2.4/site-packages/pip-1.5.6-py2.4.egg
Processing dependencies for pip
# pip
Traceback (most recent call last):
  File "/usr/bin/pip", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 2603, in <module>
  File "/usr/local/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 666, in require
  File "/usr/local/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 565, in resolve
pkg_resources.DistributionNotFound: pip==1.5.6
@methane

This comment has been minimized.

Show comment
Hide comment
@methane

methane Jul 17, 2014

Contributor

@FishGel
Do you use Python 2.7 from Homebrew?
Your pip is /usr/bin/pip, it is for Python 2.4. Your pip is not use Python you use.

Contributor

methane commented Jul 17, 2014

@FishGel
Do you use Python 2.7 from Homebrew?
Your pip is /usr/bin/pip, it is for Python 2.4. Your pip is not use Python you use.

@FishGel

This comment has been minimized.

Show comment
Hide comment
@FishGel

FishGel Jul 17, 2014

@methane
I install Python 2.7 imanualy.
Sorry, I am not using Homebrew.
I create a issue in pypa/pip#1937

FishGel commented Jul 17, 2014

@methane
I install Python 2.7 imanualy.
Sorry, I am not using Homebrew.
I create a issue in pypa/pip#1937

@methane

This comment has been minimized.

Show comment
Hide comment
@methane

methane Jul 17, 2014

Contributor

FYI, this problem is fixed when upgrading from 1.6.0 (next version).
Current version of pip does not contains this fix. Use --no-use-wheel for now.

Contributor

methane commented Jul 17, 2014

FYI, this problem is fixed when upgrading from 1.6.0 (next version).
Current version of pip does not contains this fix. Use --no-use-wheel for now.

@keithpjolley

This comment has been minimized.

Show comment
Hide comment
@keithpjolley

keithpjolley Dec 30, 2014

it's now 30 Dec 2014 and this is still broken:

(lunachix 548) $ brew uninstall python
Uninstalling /usr/local/Cellar/python/2.7.9...
(lunachix 549) $
(lunachix 549) $
(lunachix 549) $ brew install python --build-from-source
==> Downloading https://www.python.org/ftp/python/2.7.9/Python-2.7.9.tgz
Already downloaded: /Library/Caches/Homebrew/python-2.7.9.tgz
==> Downloading http://bugs.python.org/file30805/issue10910-workaround.txt
Already downloaded: /Library/Caches/Homebrew/python--patch-9926640cb7c8e273e4b451469a2b13d4b9df5ba3.txt
==> Patching
patching file Include/pyport.h
Hunk #1 succeeded at 713 (offset 14 lines).
Hunk #2 succeeded at 736 (offset 14 lines).
==> ./configure --prefix=/usr/local/Cellar/python/2.7.9 --enable-ipv6 --datarootdir=/usr/local/Cellar/python/2.7.9/share
==> make
==> make install PYTHONAPPSDIR=/usr/local/Cellar/python/2.7.9
==> make frameworkinstallextras PYTHONAPPSDIR=/usr/local/Cellar/python/2.7.9/share/python
==> Downloading https://pypi.python.org/packages/source/s/setuptools/setuptools-8.2.1.tar.gz
Already downloaded: /Library/Caches/Homebrew/python--setuptools-8.2.1.tar.gz
==> Downloading https://pypi.python.org/packages/source/p/pip/pip-1.5.6.tar.gz
Already downloaded: /Library/Caches/Homebrew/python--pip-1.5.6.tar.gz
==> Caveats
Setuptools and Pip have been installed. To update them
pip install --upgrade setuptools
pip install --upgrade pip

You can install Python packages with
pip install

They will install into the site-package directory
/usr/local/lib/python2.7/site-packages

See: https://github.com/Homebrew/homebrew/blob/master/share/doc/homebrew/Homebrew-and-Python.md

.app bundles were installed.
Run brew linkapps python to symlink these to /Applications.
==> /usr/local/Cellar/python/2.7.9/bin/python -s setup.py --no-user-cfg install --force --verbose --install-scripts=/usr
==> /usr/local/Cellar/python/2.7.9/bin/python -s setup.py --no-user-cfg install --force --verbose --install-scripts=/usr
==> Summary
🍺 /usr/local/Cellar/python/2.7.9: 6062 files, 97M, built in 2.9 minutes
(lunachix 550) $
(lunachix 550) $
(lunachix 550) $
(lunachix 550) $ pip install --upgrade setuptools
Downloading/unpacking setuptools from https://pypi.python.org/packages/3.4/s/setuptools/setuptools-9.1-py2.py3-none-any.whl#md5=6bfa6978f0070ec62fcb9afd9a5fe7cd
Downloading setuptools-9.1-py2.py3-none-any.whl (552kB): 552kB downloaded
Installing collected packages: setuptools
Found existing installation: setuptools 8.2.1
Uninstalling setuptools:
Successfully uninstalled setuptools
Rolling back uninstall of setuptools
Cleaning up...
Exception:
Traceback (most recent call last):
File "/usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg/pip/basecommand.py", line 122, in main
status = self.run(options, args)
File "/usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg/pip/commands/install.py", line 283, in run
requirement_set.install(install_options, global_options, root=options.root_path)
File "/usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg/pip/req.py", line 1439, in install
requirement.rollback_uninstall()
File "/usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg/pip/req.py", line 603, in rollback_uninstall
self.uninstalled.rollback()
File "/usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg/pip/req.py", line 1855, in rollback
pth.rollback()
AttributeError: 'str' object has no attribute 'rollback'

Storing debug log for failure in /Users/kjolley/.pip/pip.log
(lunachix 551) $
(lunachix 551) $
(lunachix 551) $
(lunachix 551) $ pip install --upgrade setuptools
[same result as above](lunachix 552) $
(lunachix 552) $
(lunachix 552) $ pip install --upgrade pip
Downloading/unpacking pip from https://pypi.python.org/packages/py2.py3/p/pip/pip-6.0.3-py2.py3-none-any.whl#md5=1ac546485f75a8cf257a8f1a40aa51f5
Downloading pip-6.0.3-py2.py3-none-any.whl (1.3MB): 1.3MB downloaded
Installing collected packages: pip
Found existing installation: pip 1.5.6
Uninstalling pip:
Successfully uninstalled pip
Successfully installed pip
Cleaning up...
(lunachix 553) $
(lunachix 553) $
(lunachix 553) $ pip install --upgrade pip
Traceback (most recent call last):
File "/usr/local/bin/pip", line 5, in
from pkg_resources import load_entry_point
File "build/bdist.macosx-10.10-x86_64/egg/pkg_resources.py", line 2951, in
File "build/bdist.macosx-10.10-x86_64/egg/pkg_resources.py", line 563, in _build_master
File "build/bdist.macosx-10.10-x86_64/egg/pkg_resources.py", line 576, in _build_from_requirements
File "build/bdist.macosx-10.10-x86_64/egg/pkg_resources.py", line 755, in resolve
pkg_resources.DistributionNotFound: pip==1.5.6
(lunachix 554) $ echo $?
1
(lunachix 555) $ which pip
/usr/local/bin/pip

– same results when run without "--build-from-source"

keithpjolley commented Dec 30, 2014

it's now 30 Dec 2014 and this is still broken:

(lunachix 548) $ brew uninstall python
Uninstalling /usr/local/Cellar/python/2.7.9...
(lunachix 549) $
(lunachix 549) $
(lunachix 549) $ brew install python --build-from-source
==> Downloading https://www.python.org/ftp/python/2.7.9/Python-2.7.9.tgz
Already downloaded: /Library/Caches/Homebrew/python-2.7.9.tgz
==> Downloading http://bugs.python.org/file30805/issue10910-workaround.txt
Already downloaded: /Library/Caches/Homebrew/python--patch-9926640cb7c8e273e4b451469a2b13d4b9df5ba3.txt
==> Patching
patching file Include/pyport.h
Hunk #1 succeeded at 713 (offset 14 lines).
Hunk #2 succeeded at 736 (offset 14 lines).
==> ./configure --prefix=/usr/local/Cellar/python/2.7.9 --enable-ipv6 --datarootdir=/usr/local/Cellar/python/2.7.9/share
==> make
==> make install PYTHONAPPSDIR=/usr/local/Cellar/python/2.7.9
==> make frameworkinstallextras PYTHONAPPSDIR=/usr/local/Cellar/python/2.7.9/share/python
==> Downloading https://pypi.python.org/packages/source/s/setuptools/setuptools-8.2.1.tar.gz
Already downloaded: /Library/Caches/Homebrew/python--setuptools-8.2.1.tar.gz
==> Downloading https://pypi.python.org/packages/source/p/pip/pip-1.5.6.tar.gz
Already downloaded: /Library/Caches/Homebrew/python--pip-1.5.6.tar.gz
==> Caveats
Setuptools and Pip have been installed. To update them
pip install --upgrade setuptools
pip install --upgrade pip

You can install Python packages with
pip install

They will install into the site-package directory
/usr/local/lib/python2.7/site-packages

See: https://github.com/Homebrew/homebrew/blob/master/share/doc/homebrew/Homebrew-and-Python.md

.app bundles were installed.
Run brew linkapps python to symlink these to /Applications.
==> /usr/local/Cellar/python/2.7.9/bin/python -s setup.py --no-user-cfg install --force --verbose --install-scripts=/usr
==> /usr/local/Cellar/python/2.7.9/bin/python -s setup.py --no-user-cfg install --force --verbose --install-scripts=/usr
==> Summary
🍺 /usr/local/Cellar/python/2.7.9: 6062 files, 97M, built in 2.9 minutes
(lunachix 550) $
(lunachix 550) $
(lunachix 550) $
(lunachix 550) $ pip install --upgrade setuptools
Downloading/unpacking setuptools from https://pypi.python.org/packages/3.4/s/setuptools/setuptools-9.1-py2.py3-none-any.whl#md5=6bfa6978f0070ec62fcb9afd9a5fe7cd
Downloading setuptools-9.1-py2.py3-none-any.whl (552kB): 552kB downloaded
Installing collected packages: setuptools
Found existing installation: setuptools 8.2.1
Uninstalling setuptools:
Successfully uninstalled setuptools
Rolling back uninstall of setuptools
Cleaning up...
Exception:
Traceback (most recent call last):
File "/usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg/pip/basecommand.py", line 122, in main
status = self.run(options, args)
File "/usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg/pip/commands/install.py", line 283, in run
requirement_set.install(install_options, global_options, root=options.root_path)
File "/usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg/pip/req.py", line 1439, in install
requirement.rollback_uninstall()
File "/usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg/pip/req.py", line 603, in rollback_uninstall
self.uninstalled.rollback()
File "/usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.5.6-py2.7.egg/pip/req.py", line 1855, in rollback
pth.rollback()
AttributeError: 'str' object has no attribute 'rollback'

Storing debug log for failure in /Users/kjolley/.pip/pip.log
(lunachix 551) $
(lunachix 551) $
(lunachix 551) $
(lunachix 551) $ pip install --upgrade setuptools
[same result as above](lunachix 552) $
(lunachix 552) $
(lunachix 552) $ pip install --upgrade pip
Downloading/unpacking pip from https://pypi.python.org/packages/py2.py3/p/pip/pip-6.0.3-py2.py3-none-any.whl#md5=1ac546485f75a8cf257a8f1a40aa51f5
Downloading pip-6.0.3-py2.py3-none-any.whl (1.3MB): 1.3MB downloaded
Installing collected packages: pip
Found existing installation: pip 1.5.6
Uninstalling pip:
Successfully uninstalled pip
Successfully installed pip
Cleaning up...
(lunachix 553) $
(lunachix 553) $
(lunachix 553) $ pip install --upgrade pip
Traceback (most recent call last):
File "/usr/local/bin/pip", line 5, in
from pkg_resources import load_entry_point
File "build/bdist.macosx-10.10-x86_64/egg/pkg_resources.py", line 2951, in
File "build/bdist.macosx-10.10-x86_64/egg/pkg_resources.py", line 563, in _build_master
File "build/bdist.macosx-10.10-x86_64/egg/pkg_resources.py", line 576, in _build_from_requirements
File "build/bdist.macosx-10.10-x86_64/egg/pkg_resources.py", line 755, in resolve
pkg_resources.DistributionNotFound: pip==1.5.6
(lunachix 554) $ echo $?
1
(lunachix 555) $ which pip
/usr/local/bin/pip

– same results when run without "--build-from-source"

@tdsmith

This comment has been minimized.

Show comment
Hide comment
@tdsmith

tdsmith Dec 30, 2014

Contributor

Please see #35194 (comment) and discussion; because of an upstream pip bug you must use --no-use-wheel until you have installed pip 6. If you have a broken pip, you can use python -m pip at the console to run pip; python -m pip install --upgrade --force pip should rewrite the pip script if you've already upgraded.

Contributor

tdsmith commented Dec 30, 2014

Please see #35194 (comment) and discussion; because of an upstream pip bug you must use --no-use-wheel until you have installed pip 6. If you have a broken pip, you can use python -m pip at the console to run pip; python -m pip install --upgrade --force pip should rewrite the pip script if you've already upgraded.

@Homebrew Homebrew locked and limited conversation to collaborators Dec 30, 2014

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.